## photoqt 5.2+ds

=== CMakeLists.txt ===
##########################################################################
##                                                                      ##
## Copyright (C) 2011-2026 Lukas Spies                                  ##
## Contact: https://photoqt.org                                         ##
##                                                                      ##
## This file is part of PhotoQt.                                        ##
##                                                                      ##
## PhotoQt is free software: you can redistribute it and/or modify      ##
## it under the terms of the GNU General Public License as published by ##
## the Free Software Foundation, either version 2 of the License, or    ##
## (at your option) any later version.                                  ##
##                                                                      ##
## PhotoQt is distributed in the hope that it will be useful,           ##
## but WITHOUT ANY WARRANTY; without even the implied warranty of       ##
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        ##
## GNU General Public License for more details.                         ##
##                                                                      ##
## You should have received a copy of the GNU General Public License    ##
## along with PhotoQt. If not, see <http://www.gnu.org/licenses/>.      ##
##                                                                      ##
##########################################################################

##############################################
# CMakeLists for PhotoQt: http://photoqt.org #
##############################################

cmake_minimum_required(VERSION 3.16)
project(photoqt LANGUAGES C CXX)

##################################################################
####  GLOBAL VERSION STRING FOR ALL FILES (INCLUDING CPP/QML) ####
##################################################################

SET(APPVERSION "5.2")

###################################
####  ENSURE BUILD TYPE IS SET ####
###################################

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

#############################
####  GET list of files  ####
#############################

include(CMake/ListFilesCPlusPlus.cmake)
include(CMake/ListFilesQML.cmake)

#############################################
#### OPTIONS THAT CAN BE SET BY THE USER ####
#############################################

option(WITH_IMAGEMAGICK           "Configure with support for the ImageMagick library" ON)
option(WITH_GRAPHICSMAGICK        "Configure with support for the GraphicsMagick library" OFF)
option(WITH_LIBRAW                "Configure with support for the libraw library" ON)
option(WITH_DEVIL                 "Configure with support for the DevIL library" ON)
option(WITH_POPPLER               "Configure with support for the Poppler library" ON)
option(WITH_QTPDF                 "Configure with support for the QtPDF module (instead of Poppler)" ON)
option(WITH_LIBARCHIVE            "Configure with support for the libarchive library" ON)
option(WITH_VIDEO_QT              "Configure with video support through Qt" ON)
option(WITH_VIDEO_MPV             "Configure with video support through MPV" ON)
option(WITH_LIBVIPS               "Configure with support for the libvips library" OFF)
option(WITH_RESVG                 "Configure with support for the resvg library (better SVG support)" OFF)
option(WITH_LIBSAI                "Configure with support for the libsai library (requires C++20 support)" OFF)

option(WITH_EXTENSIONS_SUPPORT    "Enable support for extensions (requires yaml-cpp and qca)" ON)
option(WITH_EXIV2                 "Configure with support for the Exiv2 library" ON)
option(WITH_EXIV2_ENABLE_BMFF     "Configure with BMFF format support in Exiv2 (if available) - only needed for Exiv2 0.27.x and before" ON)
option(WITH_ZXING                 "Configure with support for the ZXing library (QR and barcodes detection)" ON)
option(WITH_CHROMECAST            "Configure with support for Chromecast (through Python)" ON)
option(WITH_CHROMECAST_PIPINSTALL "Allows CMake to attempt to install PyChromecast locally using pip" OFF)
option(WITH_LOCATION              "Configure with support for the QtPositioning/QtLocation QML modules" ON)
option(WITH_LCMS2                 "Configure with support for the Little CMS library (advanced color management)" ON)
option(WITH_MOTIONPHOTO           "Configure with support for Google Motion Photos and Apple Live Photos" ON)
option(WITH_PHOTOSPHERE           "Configure with support for photo spheres and 360 degree panoramic views" ON)
option(WITH_PUGIXML               "Configure with support for the pugixml library (in place of Qt's XML support)" OFF)

option(WITH_WAYLANDSPECIFIC       "Enable optional Wayland-specific code to allow for further optimizations." ON)
option(WITH_JASPER_WORKAROUNDS    "Enable workarounds for jasper (needed on systems roughly older than Ubuntu 25.10)" OFF)
option(WITH_TESTING               "Enable and build some unit tests" OFF)
option(WITH_RUNCPPCHECK           "Analyse source code with cppcheck" OFF)
option(WITH_FLATPAKBUILD          "Enable this option if this is a build for Flatpak" OFF)
option(WITH_APPIMAGEBUILD         "Enable this option if this is an AppImage build" OFF)
option(WITH_ADAPTSOURCE           "Adapt and change the source files for the current Qt version (if necessary)" OFF)
option(WITHOUT_ICU                "Enable this option if your Qt6 setup has no ICU support" OFF)
option(WITH_PORTABLETWEAKS        "Apply tweaks for a build of a portable version" OFF)


#####################################
#### RESOLVE CONFLICTING OPTIONS ####
#####################################

if(WITH_QTPDF)
    if(WITH_POPPLER)
        set(WITH_POPPLER OFF)
        message("** For displaying PDF documents you have to choose either Poppler OR QtPDF.")
        message("** Poppler has been automatically disabled in favour of QtPDF.")
    endif()
endif()

if(WITH_IMAGEMAGICK)
    if(WITH_GRAPHICSMAGICK)
        set(WITH_GRAPHICSMAGICK OFF)
        message("** ImageMagick and GraphicsMagick cannot be used at the same time.")
        message("** GraphicsMagick has been automatically disabled in favour of ImageMagick.")
    endif()
endif()

################################
#### SET ADDITIONAL SOURCES ####
################################

SET(photoqt_QML_ADDITIONAL "")

################################
#### FIND REQUIRED PACKAGES ####
################################

find_package(Qt6 6.4 REQUIRED COMPONENTS Quick Widgets Sql Core Svg Concurrent Multimedia PrintSupport DBus LinguistTools)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMake")

find_package(ECM REQUIRED NO_MODULE)
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

#########

if(WITH_IMAGEMAGICK)
    find_package(ImageMagick COMPONENTS Magick++)
    if(NOT ${ImageMagick_FOUND})
        message("** ImageMagick not found. Disabling.")
        SET(WITH_IMAGEMAGICK OFF)
    endif()
endif()

if(WITH_GRAPHICSMAGICK)
    find_package(GraphicsMagick)
    if(NOT ${MAGICK++_FOUND})
        message("** GraphicsMagick not found. Disabling.")
        SET(WITH_GRAPHICSMAGICK OFF)
    endif()
endif()

if(WITH_LIBRAW)
    find_package(LibRaw)
    if(NOT ${LibRaw_FOUND})
        message("** LibRaw not found. Disabling.")
        SET(WITH_LIBRAW OFF)
    endif()
endif()

if(WITH_DEVIL)
    find_package(DevIL)
    if(NOT ${DevIL_FOUND})
        message("** DevIL not found. Disabling.")
        SET(WITH_DEVIL OFF)
    endif()
endif()

if(WITH_POPPLER)
    find_package(Poppler COMPONENTS Qt6)
    if(NOT ${Poppler_FOUND})
        message("** Poppler not found. Disabling.")
        SET(WITH_POPPLER OFF)
    endif()
endif()

if(WITH_QTPDF)
    find_package(Qt6 COMPONENTS Pdf)
    if(NOT ${Qt6Pdf_FOUND})
        message("** Qt PDF component not found. Disabling.")
        SET(WITH_QTPDF OFF)
    endif()
endif()

if(WITH_LIBARCHIVE)
    find_package(LibArchive)
    if(NOT ${LibArchive_FOUND})
        message("** LibArchive not found. Disabling.")
        SET(WITH_LIBARCHIVE OFF)
    endif()
endif()

if(WITH_VIDEO_MPV)
    find_package(Libmpv)
    if(NOT ${Libmpv_FOUND})
        message("** libmpv not found. Disabling.")
        SET(WITH_VIDEO_MPV OFF)
    endif()
endif()

if(WITH_LIBVIPS)
    find_package(PkgConfig REQUIRED)
    pkg_search_module(GLIB glib-2.0 gobject-2.0)
    if(NOT ${GLIB_FOUND})
        message("** glib not found. Disabling libvips.")
        SET(WITH_LIBVIPS OFF)
    else()
        pkg_search_module(VIPS vips-cpp)
        if(NOT ${VIPS_FOUND})
            message("** libvips not found. Disabling.")
            SET(WITH_LIBVIPS OFF)
        endif()
    endif()
endif()

if(WITH_LIBSAI)
    find_package(Libsai)
    if(NOT ${Libsai_FOUND})
        message("** Libsai not found. Disabling.")
        SET(WITH_LIBSAI OFF)
    else()
        set(CMAKE_CXX_STANDARD 20)
    endif()
endif()

if(WITH_EXTENSIONS_SUPPORT)
    find_package(yaml-cpp)
    if(NOT ${yaml-cpp_FOUND})
        message("** yaml-cpp not found. Disabling extensions.")
        SET(WITH_EXTENSIONS_SUPPORT OFF)
    endif()
    find_package(Qca)
    if(NOT ${Qca_FOUND})
        message("** QCA not found. Disabling extensions.")
        SET(WITH_EXTENSIONS_SUPPORT OFF)
    endif()
endif()

if(WITH_EXIV2)
    find_package(exiv2)
    if(NOT ${exiv2_FOUND})
        message("** Exiv2 not found. Disabling.")
        SET(WITH_EXIV2 OFF)
    endif()
endif()

if(WITH_PUGIXML)
    find_package(pugixml)
    if(NOT ${pugixml_FOUND})
        message("** pugixml not found. Disabling.")
        SET(WITH_PUGIXML OFF)
    endif()
endif()
# this is a seperate check as this option might be set to OFF in the block above
if(NOT WITH_PUGIXML)
    find_package(Qt6 6.4 REQUIRED COMPONENTS Xml)
endif()

if(WITH_ZXING)
    find_package(ZXing)
    if(NOT ${ZXing_FOUND})
        message("** ZXing not found. Disabling.")
        SET(WITH_ZXING OFF)
    else()
        find_file(ZXINGQTINC "ZXing/ZXingQt.h" PATHS ${INCLUDE_DIRECTORIES})
        if(EXISTS ${ZXINGQTINC})
            SET(photoqt_SOURCES ${photoqt_SOURCES} ${ZXINGQTINC})
        endif()
    endif()
endif()

if(WITH_CHROMECAST)
    find_package(Python3 COMPONENTS Interpreter)
    if(NOT ${Python3_FOUND})
        message("** Python3 not found. Disabling Chromecast.")
        SET(WITH_CHROMECAST OFF)
    elseif(NOT ${Python3_Interpreter_FOUND})
        message("** Python3 Interpreter not found. Disabling Chromecast.")
        SET(WITH_CHROMECAST OFF)
    endif()
endif()

if(WITH_LCMS2)
    find_package(LCMS2)
    if(NOT ${LCMS2_FOUND})
        message("** LCMS2 not found. Disabling.")
        SET(WITH_LCMS2 OFF)
    endif()
endif()

if(WITH_FLATPAKBUILD)
    find_package(PkgConfig)
    if(NOT ${PkgConfig_FOUND})
        message("** PkgConfig not found. Disabling flatpak workaround.")
        SET(WITH_FLATPAKBUILD OFF)
    else()
        pkg_search_module(GLIB glib-2.0 gobject-2.0 gio-2.0)
        if(NOT ${GLIB_FOUND})
            message("** GLIB not found. Disabling flatpak workaround.")
            SET(WITH_FLATPAKBUILD OFF)
        endif()
    endif()
endif()

if(WITH_WAYLANDSPECIFIC)
    find_package(Wayland COMPONENTS Client)
    if(NOT ${WAYLAND_CLIENT_FOUND})
        message("** Wayland not found. Disabling.")
        SET(WITH_WAYLANDSPECIFIC OFF)
    endif()
endif()

if(WITH_LOCATION)
    SET(photoqt_QML_ADDITIONAL ${photoqt_QML_ADDITIONAL} ${photoqt_QML_LOCATION})
else()
    SET(photoqt_QML_ADDITIONAL ${photoqt_QML_ADDITIONAL} ${photoqt_QML_NOLOCATION})
endif()

# Any additional sources are added to the full list.
SET(photoqt_QML ${photoqt_QML} ${photoqt_QML_ADDITIONAL})

######################
#### RUN CPPCHECK ####
######################

if(WITH_RUNCPPCHECK)

    # Find CppCheck executable
    find_program(CMAKE_CXX_CPPCHECK NAMES cppcheck)

    # If CppCheck executable found
    if(CMAKE_CXX_CPPCHECK)

=== testing/pqt_filefoldermodel/CMakeLists.txt ===
#####################################
#####################################

# ONLY THIS VARIABLE SHOULD NEED TO BE CHANGED!

set(testname "pqt_filefoldermodel")

#####################################
#####################################

set(test_SRC "${testname}.h" "${testname}.cpp"
             ${photoqt_testscripts_SOURCES})

qt_add_resources(RESOURCE_FILES ../resources/testing.qrc ../../misc/misc.qrc ../../img/img.qrc ../../img/filetypes.qrc ../../python/python.qrc)
qt_add_executable(${testname} ${test_SRC} ${RESOURCE_FILES})

target_compile_definitions(${testname} PRIVATE PQMTESTING)

add_test(NAME ${testname} COMMAND ${testname})
target_compile_definitions(${testname} PRIVATE PQMVERSION="${APPVERSION}")
target_link_libraries(${testname} PRIVATE Qt6::Quick Qt6::Widgets Qt6::Sql Qt6::Core Qt6::Svg Qt6::Concurrent Qt6::Multimedia Qt6::PrintSupport Qt6::DBus Qt6::Test)
target_include_directories(${testname} PRIVATE "../../cplusplus/header")
target_include_directories(${testname} PRIVATE "../../cplusplus/extensions")

if(NOT WITH_PUGIXML)
    target_link_libraries(${testname} PRIVATE Qt6::Xml)
endif()

if(WITH_QTPDF)
    find_package(Qt6 COMPONENTS Pdf)
    target_link_libraries(${testname} PRIVATE Qt6::Pdf)
endif()

target_compile_definitions(${testname} PRIVATE QT_NO_KEYWORDS)
target_compile_definitions(${testname} PRIVATE QT_MESSAGELOGCONTEXT)

if(WITHOUT_ICU)
    target_compile_definitions(${testname} PRIVATE PQMWITHOUTICU)
endif()


if(WITH_IMAGEMAGICK)
    target_compile_definitions(${testname} PRIVATE PQMIMAGEMAGICK)
    target_link_libraries(${testname} PRIVATE ImageMagick::Magick++)
endif()

if(WITH_GRAPHICSMAGICK)
    target_include_directories(${testname} PRIVATE ${MAGICK++_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMGRAPHICSMAGICK)
    target_link_libraries(${testname} PRIVATE "GraphicsMagick++")
endif()

if(WITH_LIBRAW)
    target_compile_definitions(${testname} PRIVATE PQMRAW)
    target_include_directories(${testname} PRIVATE ${LibRaw_INCLUDE_DIR})
    target_link_libraries(${testname} PRIVATE ${LibRaw_LIBRARIES})
endif()

if(WITH_DEVIL)
    target_compile_definitions(${testname} PRIVATE PQMDEVIL)
    target_link_libraries(${testname} PRIVATE DevIL::IL)
endif()

if(WITH_POPPLER)
    target_include_directories(${testname} PRIVATE ${Poppler_INCLUDE_DIRS})
    target_compile_definitions(${testname} PRIVATE PQMPOPPLER)
    target_link_libraries(${testname} PRIVATE ${Poppler_LIBRARIES})
endif()

if(WITH_QTPDF)
    target_compile_definitions(${testname} PRIVATE PQMQTPDF)
endif()

if(WITH_LIBARCHIVE)
    target_compile_definitions(${testname} PRIVATE PQMLIBARCHIVE)
    target_link_libraries(${testname} PRIVATE LibArchive::LibArchive)
endif()

if(WITH_VIDEO_QT)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOQT)
endif()

if(WITH_VIDEO_MPV)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOMPV)
    target_link_libraries(${testname} PRIVATE Libmpv::Libmpv)
endif()

if(WITH_LIBVIPS)
    target_compile_definitions(${testname} PRIVATE PQMLIBVIPS)
    target_include_directories(${testname} PRIVATE ${GLIB_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${GLIB_LIBRARIES})
    target_link_libraries(${testname} PRIVATE "vips")
    target_link_libraries(${testname} PRIVATE "gobject-2.0")
    target_link_libraries(${testname} PRIVATE "vips-cpp")
endif()

if(WITH_RESVG)
    target_link_libraries(${testname} PRIVATE "resvg")
    target_compile_definitions(${testname} PRIVATE PQMRESVG)
endif()

if(WITH_EXIV2)
    target_compile_definitions(${testname} PRIVATE PQMEXIV2)
    target_link_libraries(${testname} PRIVATE exiv2lib)
    if(WITH_EXIV2_ENABLE_BMFF)
        target_compile_definitions(${testname} PRIVATE PQMEXIV2_ENABLE_BMFF)
    endif()
endif()

if(WITH_PUGIXML)
    target_compile_definitions(${testname} PRIVATE PQMPUGIXML)
    target_link_libraries(${testname} PRIVATE pugixml::pugixml)
endif()

if(WITH_ZXING)
    target_compile_definitions(${testname} PRIVATE PQMZXING)
    target_link_libraries(${testname} PRIVATE ZXing::ZXing)
endif()

if(WITH_CHROMECAST)
    target_compile_definitions(${testname} PRIVATE PQMCHROMECAST)
    target_include_directories(${testname} PRIVATE ${Python3_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${Python3_LIBRARIES})
endif()

if(WITH_LOCATION)
    target_compile_definitions(${testname} PRIVATE PQMLOCATION)
endif()

if(WITH_LCMS2)
    target_include_directories(${testname} PRIVATE ${LCMS2_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMLCMS2)
    target_link_libraries(${testname} PRIVATE ${LCMS2_LIBRARIES})
endif()

if(WITH_MOTIONPHOTO)
    target_compile_definitions(${testname} PRIVATE PQMMOTIONPHOTO)
endif()

if(WITH_PHOTOSPHERE)
    target_compile_definitions(${testname} PRIVATE PQMPHOTOSPHERE)
endif()

if(WITH_EXTENSIONS_SUPPORT)
    target_compile_definitions(${testname} PRIVATE PQMEXTENSIONS)
    target_link_libraries(${testname} PRIVATE yaml-cpp)
endif()

=== testing/pqt_scriptsclipboard/CMakeLists.txt ===
#####################################
#####################################

# ONLY THIS VARIABLE SHOULD NEED TO BE CHANGED!

set(testname "pqt_scriptsclipboard")

#####################################
#####################################

set(test_SRC "${testname}.h" "${testname}.cpp"
             ${photoqt_testscripts_SOURCES})

qt_add_resources(RESOURCE_FILES ../resources/testing.qrc ../../misc/misc.qrc ../../img/img.qrc ../../img/filetypes.qrc ../../python/python.qrc)
qt_add_executable(${testname} ${test_SRC} ${RESOURCE_FILES})

target_compile_definitions(${testname} PRIVATE PQMTESTING)

add_test(NAME ${testname} COMMAND ${testname})
target_compile_definitions(${testname} PRIVATE PQMVERSION="${APPVERSION}")
target_link_libraries(${testname} PRIVATE Qt6::Quick Qt6::Widgets Qt6::Sql Qt6::Core Qt6::Svg Qt6::Concurrent Qt6::Multimedia Qt6::PrintSupport Qt6::DBus Qt6::Test)
target_include_directories(${testname} PRIVATE "../../cplusplus/header")
target_include_directories(${testname} PRIVATE "../../cplusplus/extensions")

if(NOT WITH_PUGIXML)
    target_link_libraries(${testname} PRIVATE Qt6::Xml)
endif()

if(WITH_QTPDF)
    find_package(Qt6 COMPONENTS Pdf)
    target_link_libraries(${testname} PRIVATE Qt6::Pdf)
endif()

target_compile_definitions(${testname} PRIVATE QT_NO_KEYWORDS)
target_compile_definitions(${testname} PRIVATE QT_MESSAGELOGCONTEXT)

if(WITHOUT_ICU)
    target_compile_definitions(${testname} PRIVATE PQMWITHOUTICU)
endif()


if(WITH_IMAGEMAGICK)
    target_compile_definitions(${testname} PRIVATE PQMIMAGEMAGICK)
    target_link_libraries(${testname} PRIVATE ImageMagick::Magick++)
endif()

if(WITH_GRAPHICSMAGICK)
    target_include_directories(${testname} PRIVATE ${MAGICK++_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMGRAPHICSMAGICK)
    target_link_libraries(${testname} PRIVATE "GraphicsMagick++")
endif()

if(WITH_LIBRAW)
    target_compile_definitions(${testname} PRIVATE PQMRAW)
    target_include_directories(${testname} PRIVATE ${LibRaw_INCLUDE_DIR})
    target_link_libraries(${testname} PRIVATE ${LibRaw_LIBRARIES})
endif()

if(WITH_DEVIL)
    target_compile_definitions(${testname} PRIVATE PQMDEVIL)
    target_link_libraries(${testname} PRIVATE DevIL::IL)
endif()

if(WITH_POPPLER)
    target_include_directories(${testname} PRIVATE ${Poppler_INCLUDE_DIRS})
    target_compile_definitions(${testname} PRIVATE PQMPOPPLER)
    target_link_libraries(${testname} PRIVATE ${Poppler_LIBRARIES})
endif()

if(WITH_QTPDF)
    target_compile_definitions(${testname} PRIVATE PQMQTPDF)
endif()

if(WITH_LIBARCHIVE)
    target_compile_definitions(${testname} PRIVATE PQMLIBARCHIVE)
    target_link_libraries(${testname} PRIVATE LibArchive::LibArchive)
endif()

if(WITH_VIDEO_QT)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOQT)
endif()

if(WITH_VIDEO_MPV)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOMPV)
    target_link_libraries(${testname} PRIVATE Libmpv::Libmpv)
endif()

if(WITH_LIBVIPS)
    target_compile_definitions(${testname} PRIVATE PQMLIBVIPS)
    target_include_directories(${testname} PRIVATE ${GLIB_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${GLIB_LIBRARIES})
    target_link_libraries(${testname} PRIVATE "vips")
    target_link_libraries(${testname} PRIVATE "gobject-2.0")
    target_link_libraries(${testname} PRIVATE "vips-cpp")
endif()

if(WITH_RESVG)
    target_link_libraries(${testname} PRIVATE "resvg")
    target_compile_definitions(${testname} PRIVATE PQMRESVG)
endif()

if(WITH_EXIV2)
    target_compile_definitions(${testname} PRIVATE PQMEXIV2)
    target_link_libraries(${testname} PRIVATE exiv2lib)
    if(WITH_EXIV2_ENABLE_BMFF)
        target_compile_definitions(${testname} PRIVATE PQMEXIV2_ENABLE_BMFF)
    endif()
endif()

if(WITH_PUGIXML)
    target_compile_definitions(${testname} PRIVATE PQMPUGIXML)
    target_link_libraries(${testname} PRIVATE pugixml::pugixml)
endif()

if(WITH_ZXING)
    target_compile_definitions(${testname} PRIVATE PQMZXING)
    target_link_libraries(${testname} PRIVATE ZXing::ZXing)
endif()

if(WITH_CHROMECAST)
    target_compile_definitions(${testname} PRIVATE PQMCHROMECAST)
    target_include_directories(${testname} PRIVATE ${Python3_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${Python3_LIBRARIES})
endif()

if(WITH_LOCATION)
    target_compile_definitions(${testname} PRIVATE PQMLOCATION)
endif()

if(WITH_LCMS2)
    target_include_directories(${testname} PRIVATE ${LCMS2_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMLCMS2)
    target_link_libraries(${testname} PRIVATE ${LCMS2_LIBRARIES})
endif()

if(WITH_MOTIONPHOTO)
    target_compile_definitions(${testname} PRIVATE PQMMOTIONPHOTO)
endif()

if(WITH_PHOTOSPHERE)
    target_compile_definitions(${testname} PRIVATE PQMPHOTOSPHERE)
endif()

if(WITH_EXTENSIONS_SUPPORT)
    target_compile_definitions(${testname} PRIVATE PQMEXTENSIONS)
    target_link_libraries(${testname} PRIVATE yaml-cpp)
endif()

=== testing/pqt_scriptsconfig/CMakeLists.txt ===
#####################################
#####################################

# ONLY THIS VARIABLE SHOULD NEED TO BE CHANGED!

set(testname "pqt_scriptsconfig")

#####################################
#####################################

set(test_SRC "${testname}.h" "${testname}.cpp"
             ${photoqt_testscripts_SOURCES})

qt_add_resources(RESOURCE_FILES ../resources/testing.qrc ../../misc/misc.qrc ../../img/img.qrc ../../img/filetypes.qrc ../../python/python.qrc)
qt_add_executable(${testname} ${test_SRC} ${RESOURCE_FILES})

target_compile_definitions(${testname} PRIVATE PQMTESTING)

add_test(NAME ${testname} COMMAND ${testname})
target_compile_definitions(${testname} PRIVATE PQMVERSION="${APPVERSION}")
target_link_libraries(${testname} PRIVATE Qt6::Quick Qt6::Widgets Qt6::Sql Qt6::Core Qt6::Svg Qt6::Concurrent Qt6::Multimedia Qt6::PrintSupport Qt6::DBus Qt6::Test)
target_include_directories(${testname} PRIVATE "../../cplusplus/header")
target_include_directories(${testname} PRIVATE "../../cplusplus/extensions")

if(NOT WITH_PUGIXML)
    target_link_libraries(${testname} PRIVATE Qt6::Xml)
endif()

if(WITH_QTPDF)
    find_package(Qt6 COMPONENTS Pdf)
    target_link_libraries(${testname} PRIVATE Qt6::Pdf)
endif()

target_compile_definitions(${testname} PRIVATE QT_NO_KEYWORDS)
target_compile_definitions(${testname} PRIVATE QT_MESSAGELOGCONTEXT)

if(WITHOUT_ICU)
    target_compile_definitions(${testname} PRIVATE PQMWITHOUTICU)
endif()


if(WITH_IMAGEMAGICK)
    target_compile_definitions(${testname} PRIVATE PQMIMAGEMAGICK)
    target_link_libraries(${testname} PRIVATE ImageMagick::Magick++)
endif()

if(WITH_GRAPHICSMAGICK)
    target_include_directories(${testname} PRIVATE ${MAGICK++_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMGRAPHICSMAGICK)
    target_link_libraries(${testname} PRIVATE "GraphicsMagick++")
endif()

if(WITH_LIBRAW)
    target_compile_definitions(${testname} PRIVATE PQMRAW)
    target_include_directories(${testname} PRIVATE ${LibRaw_INCLUDE_DIR})
    target_link_libraries(${testname} PRIVATE ${LibRaw_LIBRARIES})
endif()

if(WITH_DEVIL)
    target_compile_definitions(${testname} PRIVATE PQMDEVIL)
    target_link_libraries(${testname} PRIVATE DevIL::IL)
endif()

if(WITH_POPPLER)
    target_include_directories(${testname} PRIVATE ${Poppler_INCLUDE_DIRS})
    target_compile_definitions(${testname} PRIVATE PQMPOPPLER)
    target_link_libraries(${testname} PRIVATE ${Poppler_LIBRARIES})
endif()

if(WITH_QTPDF)
    target_compile_definitions(${testname} PRIVATE PQMQTPDF)
endif()

if(WITH_LIBARCHIVE)
    target_compile_definitions(${testname} PRIVATE PQMLIBARCHIVE)
    target_link_libraries(${testname} PRIVATE LibArchive::LibArchive)
endif()

if(WITH_VIDEO_QT)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOQT)
endif()

if(WITH_VIDEO_MPV)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOMPV)
    target_link_libraries(${testname} PRIVATE Libmpv::Libmpv)
endif()

if(WITH_LIBVIPS)
    target_compile_definitions(${testname} PRIVATE PQMLIBVIPS)
    target_include_directories(${testname} PRIVATE ${GLIB_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${GLIB_LIBRARIES})
    target_link_libraries(${testname} PRIVATE "vips")
    target_link_libraries(${testname} PRIVATE "gobject-2.0")
    target_link_libraries(${testname} PRIVATE "vips-cpp")
endif()

if(WITH_RESVG)
    target_link_libraries(${testname} PRIVATE "resvg")
    target_compile_definitions(${testname} PRIVATE PQMRESVG)
endif()

if(WITH_EXIV2)
    target_compile_definitions(${testname} PRIVATE PQMEXIV2)
    target_link_libraries(${testname} PRIVATE exiv2lib)
    if(WITH_EXIV2_ENABLE_BMFF)
        target_compile_definitions(${testname} PRIVATE PQMEXIV2_ENABLE_BMFF)
    endif()
endif()

if(WITH_PUGIXML)
    target_compile_definitions(${testname} PRIVATE PQMPUGIXML)
    target_link_libraries(${testname} PRIVATE pugixml::pugixml)
endif()

if(WITH_ZXING)
    target_compile_definitions(${testname} PRIVATE PQMZXING)
    target_link_libraries(${testname} PRIVATE ZXing::ZXing)
endif()

if(WITH_CHROMECAST)
    target_compile_definitions(${testname} PRIVATE PQMCHROMECAST)
    target_include_directories(${testname} PRIVATE ${Python3_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${Python3_LIBRARIES})
endif()

if(WITH_LOCATION)
    target_compile_definitions(${testname} PRIVATE PQMLOCATION)
endif()

if(WITH_LCMS2)
    target_include_directories(${testname} PRIVATE ${LCMS2_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMLCMS2)
    target_link_libraries(${testname} PRIVATE ${LCMS2_LIBRARIES})
endif()

if(WITH_MOTIONPHOTO)
    target_compile_definitions(${testname} PRIVATE PQMMOTIONPHOTO)
endif()

if(WITH_PHOTOSPHERE)
    target_compile_definitions(${testname} PRIVATE PQMPHOTOSPHERE)
endif()

if(WITH_EXTENSIONS_SUPPORT)
    target_compile_definitions(${testname} PRIVATE PQMEXTENSIONS)
    target_link_libraries(${testname} PRIVATE yaml-cpp)
endif()

=== testing/pqt_scriptsfiledialog/CMakeLists.txt ===
#####################################
#####################################

# ONLY THIS VARIABLE SHOULD NEED TO BE CHANGED!

set(testname "pqt_scriptsfiledialog")

#####################################
#####################################

set(test_SRC "${testname}.h" "${testname}.cpp"
    ${photoqt_testscripts_SOURCES})

qt_add_resources(RESOURCE_FILES ../resources/testing.qrc ../../misc/misc.qrc ../../img/img.qrc ../../img/filetypes.qrc ../../python/python.qrc)
qt_add_executable(${testname} ${test_SRC} ${RESOURCE_FILES})

target_compile_definitions(${testname} PRIVATE PQMTESTING)

add_test(NAME ${testname} COMMAND ${testname})
target_compile_definitions(${testname} PRIVATE PQMVERSION="${APPVERSION}")
target_link_libraries(${testname} PRIVATE Qt6::Quick Qt6::Widgets Qt6::Sql Qt6::Core Qt6::Svg Qt6::Concurrent Qt6::Multimedia Qt6::PrintSupport Qt6::DBus Qt6::Test)
target_include_directories(${testname} PRIVATE "../../cplusplus/header")
target_include_directories(${testname} PRIVATE "../../cplusplus/extensions")

if(NOT WITH_PUGIXML)
    target_link_libraries(${testname} PRIVATE Qt6::Xml)
endif()

if(WITH_QTPDF)
    find_package(Qt6 COMPONENTS Pdf)
    target_link_libraries(${testname} PRIVATE Qt6::Pdf)
endif()

target_compile_definitions(${testname} PRIVATE QT_NO_KEYWORDS)
target_compile_definitions(${testname} PRIVATE QT_MESSAGELOGCONTEXT)

if(WITHOUT_ICU)
    target_compile_definitions(${testname} PRIVATE PQMWITHOUTICU)
endif()


if(WITH_IMAGEMAGICK)
    target_compile_definitions(${testname} PRIVATE PQMIMAGEMAGICK)
    target_link_libraries(${testname} PRIVATE ImageMagick::Magick++)
endif()

if(WITH_GRAPHICSMAGICK)
    target_include_directories(${testname} PRIVATE ${MAGICK++_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMGRAPHICSMAGICK)
    target_link_libraries(${testname} PRIVATE "GraphicsMagick++")
endif()

if(WITH_LIBRAW)
    target_compile_definitions(${testname} PRIVATE PQMRAW)
    target_include_directories(${testname} PRIVATE ${LibRaw_INCLUDE_DIR})
    target_link_libraries(${testname} PRIVATE ${LibRaw_LIBRARIES})
endif()

if(WITH_DEVIL)
    target_compile_definitions(${testname} PRIVATE PQMDEVIL)
    target_link_libraries(${testname} PRIVATE DevIL::IL)
endif()

if(WITH_POPPLER)
    target_include_directories(${testname} PRIVATE ${Poppler_INCLUDE_DIRS})
    target_compile_definitions(${testname} PRIVATE PQMPOPPLER)
    target_link_libraries(${testname} PRIVATE ${Poppler_LIBRARIES})
endif()

if(WITH_QTPDF)
    target_compile_definitions(${testname} PRIVATE PQMQTPDF)
endif()

if(WITH_LIBARCHIVE)
    target_compile_definitions(${testname} PRIVATE PQMLIBARCHIVE)
    target_link_libraries(${testname} PRIVATE LibArchive::LibArchive)
endif()

if(WITH_VIDEO_QT)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOQT)
endif()

if(WITH_VIDEO_MPV)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOMPV)
    target_link_libraries(${testname} PRIVATE Libmpv::Libmpv)
endif()

if(WITH_LIBVIPS)
    target_compile_definitions(${testname} PRIVATE PQMLIBVIPS)
    target_include_directories(${testname} PRIVATE ${GLIB_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${GLIB_LIBRARIES})
    target_link_libraries(${testname} PRIVATE "vips")
    target_link_libraries(${testname} PRIVATE "gobject-2.0")
    target_link_libraries(${testname} PRIVATE "vips-cpp")
endif()

if(WITH_RESVG)
    target_link_libraries(${testname} PRIVATE "resvg")
    target_compile_definitions(${testname} PRIVATE PQMRESVG)
endif()

if(WITH_EXIV2)
    target_compile_definitions(${testname} PRIVATE PQMEXIV2)
    target_link_libraries(${testname} PRIVATE exiv2lib)
    if(WITH_EXIV2_ENABLE_BMFF)
        target_compile_definitions(${testname} PRIVATE PQMEXIV2_ENABLE_BMFF)
    endif()
endif()

if(WITH_PUGIXML)
    target_compile_definitions(${testname} PRIVATE PQMPUGIXML)
    target_link_libraries(${testname} PRIVATE pugixml::pugixml)
endif()

if(WITH_ZXING)
    target_compile_definitions(${testname} PRIVATE PQMZXING)
    target_link_libraries(${testname} PRIVATE ZXing::ZXing)
endif()

if(WITH_CHROMECAST)
    target_compile_definitions(${testname} PRIVATE PQMCHROMECAST)
    target_include_directories(${testname} PRIVATE ${Python3_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${Python3_LIBRARIES})
endif()

if(WITH_LOCATION)
    target_compile_definitions(${testname} PRIVATE PQMLOCATION)
endif()

if(WITH_LCMS2)
    target_include_directories(${testname} PRIVATE ${LCMS2_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMLCMS2)
    target_link_libraries(${testname} PRIVATE ${LCMS2_LIBRARIES})
endif()

if(WITH_MOTIONPHOTO)
    target_compile_definitions(${testname} PRIVATE PQMMOTIONPHOTO)
endif()

if(WITH_PHOTOSPHERE)
    target_compile_definitions(${testname} PRIVATE PQMPHOTOSPHERE)
endif()

if(WITH_EXTENSIONS_SUPPORT)
    target_compile_definitions(${testname} PRIVATE PQMEXTENSIONS)
    target_link_libraries(${testname} PRIVATE yaml-cpp)
endif()

=== testing/pqt_scriptsfilespaths/CMakeLists.txt ===
#####################################
#####################################

# ONLY THIS VARIABLE SHOULD NEED TO BE CHANGED!

set(testname "pqt_scriptsfilespaths")

#####################################
#####################################

set(test_SRC "${testname}.h" "${testname}.cpp"
             ${photoqt_testscripts_SOURCES})

qt_add_resources(RESOURCE_FILES ../resources/testing.qrc ../../misc/misc.qrc ../../img/img.qrc ../../img/filetypes.qrc ../../python/python.qrc)
qt_add_executable(${testname} ${test_SRC} ${RESOURCE_FILES})

target_compile_definitions(${testname} PRIVATE PQMTESTING)

add_test(NAME ${testname} COMMAND ${testname})
target_compile_definitions(${testname} PRIVATE PQMVERSION="${APPVERSION}")
target_link_libraries(${testname} PRIVATE Qt6::Quick Qt6::Widgets Qt6::Sql Qt6::Core Qt6::Svg Qt6::Concurrent Qt6::Multimedia Qt6::PrintSupport Qt6::DBus Qt6::Test)
target_include_directories(${testname} PRIVATE "../../cplusplus/header")
target_include_directories(${testname} PRIVATE "../../cplusplus/extensions")

if(NOT WITH_PUGIXML)
    target_link_libraries(${testname} PRIVATE Qt6::Xml)
endif()

if(WITH_QTPDF)
    find_package(Qt6 COMPONENTS Pdf)
    target_link_libraries(${testname} PRIVATE Qt6::Pdf)
endif()

target_compile_definitions(${testname} PRIVATE QT_NO_KEYWORDS)
target_compile_definitions(${testname} PRIVATE QT_MESSAGELOGCONTEXT)

if(WITHOUT_ICU)
    target_compile_definitions(${testname} PRIVATE PQMWITHOUTICU)
endif()


if(WITH_IMAGEMAGICK)
    target_compile_definitions(${testname} PRIVATE PQMIMAGEMAGICK)
    target_link_libraries(${testname} PRIVATE ImageMagick::Magick++)
endif()

if(WITH_GRAPHICSMAGICK)
    target_include_directories(${testname} PRIVATE ${MAGICK++_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMGRAPHICSMAGICK)
    target_link_libraries(${testname} PRIVATE "GraphicsMagick++")
endif()

if(WITH_LIBRAW)
    target_compile_definitions(${testname} PRIVATE PQMRAW)
    target_include_directories(${testname} PRIVATE ${LibRaw_INCLUDE_DIR})
    target_link_libraries(${testname} PRIVATE ${LibRaw_LIBRARIES})
endif()

if(WITH_DEVIL)
    target_compile_definitions(${testname} PRIVATE PQMDEVIL)
    target_link_libraries(${testname} PRIVATE DevIL::IL)
endif()

if(WITH_POPPLER)
    target_include_directories(${testname} PRIVATE ${Poppler_INCLUDE_DIRS})
    target_compile_definitions(${testname} PRIVATE PQMPOPPLER)
    target_link_libraries(${testname} PRIVATE ${Poppler_LIBRARIES})
endif()

if(WITH_QTPDF)
    target_compile_definitions(${testname} PRIVATE PQMQTPDF)
endif()

if(WITH_LIBARCHIVE)
    target_compile_definitions(${testname} PRIVATE PQMLIBARCHIVE)
    target_link_libraries(${testname} PRIVATE LibArchive::LibArchive)
endif()

if(WITH_VIDEO_QT)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOQT)
endif()

if(WITH_VIDEO_MPV)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOMPV)
    target_link_libraries(${testname} PRIVATE Libmpv::Libmpv)
endif()

if(WITH_LIBVIPS)
    target_compile_definitions(${testname} PRIVATE PQMLIBVIPS)
    target_include_directories(${testname} PRIVATE ${GLIB_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${GLIB_LIBRARIES})
    target_link_libraries(${testname} PRIVATE "vips")
    target_link_libraries(${testname} PRIVATE "gobject-2.0")
    target_link_libraries(${testname} PRIVATE "vips-cpp")
endif()

if(WITH_RESVG)
    target_link_libraries(${testname} PRIVATE "resvg")
    target_compile_definitions(${testname} PRIVATE PQMRESVG)
endif()

if(WITH_EXIV2)
    target_compile_definitions(${testname} PRIVATE PQMEXIV2)
    target_link_libraries(${testname} PRIVATE exiv2lib)
    if(WITH_EXIV2_ENABLE_BMFF)
        target_compile_definitions(${testname} PRIVATE PQMEXIV2_ENABLE_BMFF)
    endif()
endif()

if(WITH_PUGIXML)
    target_compile_definitions(${testname} PRIVATE PQMPUGIXML)
    target_link_libraries(${testname} PRIVATE pugixml::pugixml)
endif()

if(WITH_ZXING)
    target_compile_definitions(${testname} PRIVATE PQMZXING)
    target_link_libraries(${testname} PRIVATE ZXing::ZXing)
endif()

if(WITH_CHROMECAST)
    target_compile_definitions(${testname} PRIVATE PQMCHROMECAST)
    target_include_directories(${testname} PRIVATE ${Python3_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${Python3_LIBRARIES})
endif()

if(WITH_LOCATION)
    target_compile_definitions(${testname} PRIVATE PQMLOCATION)
endif()

if(WITH_LCMS2)
    target_include_directories(${testname} PRIVATE ${LCMS2_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMLCMS2)
    target_link_libraries(${testname} PRIVATE ${LCMS2_LIBRARIES})
endif()

if(WITH_MOTIONPHOTO)
    target_compile_definitions(${testname} PRIVATE PQMMOTIONPHOTO)
endif()

if(WITH_PHOTOSPHERE)
    target_compile_definitions(${testname} PRIVATE PQMPHOTOSPHERE)
endif()

if(WITH_EXTENSIONS_SUPPORT)
    target_compile_definitions(${testname} PRIVATE PQMEXTENSIONS)
    target_link_libraries(${testname} PRIVATE yaml-cpp)
endif()

=== testing/pqt_scriptsimages/CMakeLists.txt ===
#####################################
#####################################

# ONLY THIS VARIABLE SHOULD NEED TO BE CHANGED!

set(testname "pqt_scriptsimages")

#####################################
#####################################

set(test_SRC "${testname}.h" "${testname}.cpp"
             ${photoqt_testscripts_SOURCES})

qt_add_resources(RESOURCE_FILES ../resources/testing.qrc ../../misc/misc.qrc ../../img/img.qrc ../../img/filetypes.qrc ../../python/python.qrc)
qt_add_executable(${testname} ${test_SRC} ${RESOURCE_FILES})

target_compile_definitions(${testname} PRIVATE PQMTESTING)

add_test(NAME ${testname} COMMAND ${testname})
target_compile_definitions(${testname} PRIVATE PQMVERSION="${APPVERSION}")
target_link_libraries(${testname} PRIVATE Qt6::Quick Qt6::Widgets Qt6::Sql Qt6::Core Qt6::Svg Qt6::Concurrent Qt6::Multimedia Qt6::PrintSupport Qt6::DBus Qt6::Test)
target_include_directories(${testname} PRIVATE "../../cplusplus/header")
target_include_directories(${testname} PRIVATE "../../cplusplus/extensions")

if(NOT WITH_PUGIXML)
    target_link_libraries(${testname} PRIVATE Qt6::Xml)
endif()

if(WITH_QTPDF)
    find_package(Qt6 COMPONENTS Pdf)
    target_link_libraries(${testname} PRIVATE Qt6::Pdf)
endif()

target_compile_definitions(${testname} PRIVATE QT_NO_KEYWORDS)
target_compile_definitions(${testname} PRIVATE QT_MESSAGELOGCONTEXT)

if(WITHOUT_ICU)
    target_compile_definitions(${testname} PRIVATE PQMWITHOUTICU)
endif()


if(WITH_IMAGEMAGICK)
    target_compile_definitions(${testname} PRIVATE PQMIMAGEMAGICK)
    target_link_libraries(${testname} PRIVATE ImageMagick::Magick++)
endif()

if(WITH_GRAPHICSMAGICK)
    target_include_directories(${testname} PRIVATE ${MAGICK++_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMGRAPHICSMAGICK)
    target_link_libraries(${testname} PRIVATE "GraphicsMagick++")
endif()

if(WITH_LIBRAW)
    target_compile_definitions(${testname} PRIVATE PQMRAW)
    target_include_directories(${testname} PRIVATE ${LibRaw_INCLUDE_DIR})
    target_link_libraries(${testname} PRIVATE ${LibRaw_LIBRARIES})
endif()

if(WITH_DEVIL)
    target_compile_definitions(${testname} PRIVATE PQMDEVIL)
    target_link_libraries(${testname} PRIVATE DevIL::IL)
endif()

if(WITH_POPPLER)
    target_include_directories(${testname} PRIVATE ${Poppler_INCLUDE_DIRS})
    target_compile_definitions(${testname} PRIVATE PQMPOPPLER)
    target_link_libraries(${testname} PRIVATE ${Poppler_LIBRARIES})
endif()

if(WITH_QTPDF)
    target_compile_definitions(${testname} PRIVATE PQMQTPDF)
endif()

if(WITH_LIBARCHIVE)
    target_compile_definitions(${testname} PRIVATE PQMLIBARCHIVE)
    target_link_libraries(${testname} PRIVATE LibArchive::LibArchive)
endif()

if(WITH_VIDEO_QT)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOQT)
endif()

if(WITH_VIDEO_MPV)
    target_compile_definitions(${testname} PRIVATE PQMVIDEOMPV)
    target_link_libraries(${testname} PRIVATE Libmpv::Libmpv)
endif()

if(WITH_LIBVIPS)
    target_compile_definitions(${testname} PRIVATE PQMLIBVIPS)
    target_include_directories(${testname} PRIVATE ${GLIB_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${GLIB_LIBRARIES})
    target_link_libraries(${testname} PRIVATE "vips")
    target_link_libraries(${testname} PRIVATE "gobject-2.0")
    target_link_libraries(${testname} PRIVATE "vips-cpp")
endif()

if(WITH_RESVG)
    target_link_libraries(${testname} PRIVATE "resvg")
    target_compile_definitions(${testname} PRIVATE PQMRESVG)
endif()

if(WITH_EXIV2)
    target_compile_definitions(${testname} PRIVATE PQMEXIV2)
    target_link_libraries(${testname} PRIVATE exiv2lib)
    if(WITH_EXIV2_ENABLE_BMFF)
        target_compile_definitions(${testname} PRIVATE PQMEXIV2_ENABLE_BMFF)
    endif()
endif()

if(WITH_PUGIXML)
    target_compile_definitions(${testname} PRIVATE PQMPUGIXML)
    target_link_libraries(${testname} PRIVATE pugixml::pugixml)
endif()

if(WITH_ZXING)
    target_compile_definitions(${testname} PRIVATE PQMZXING)
    target_link_libraries(${testname} PRIVATE ZXing::ZXing)
endif()

if(WITH_CHROMECAST)
    target_compile_definitions(${testname} PRIVATE PQMCHROMECAST)
    target_include_directories(${testname} PRIVATE ${Python3_INCLUDE_DIRS})
    target_link_libraries(${testname} PRIVATE ${Python3_LIBRARIES})
endif()

if(WITH_LOCATION)
    target_compile_definitions(${testname} PRIVATE PQMLOCATION)
endif()

if(WITH_LCMS2)
    target_include_directories(${testname} PRIVATE ${LCMS2_INCLUDE_DIR})
    target_compile_definitions(${testname} PRIVATE PQMLCMS2)
    target_link_libraries(${testname} PRIVATE ${LCMS2_LIBRARIES})
endif()

if(WITH_MOTIONPHOTO)
    target_compile_definitions(${testname} PRIVATE PQMMOTIONPHOTO)
endif()

if(WITH_PHOTOSPHERE)
    target_compile_definitions(${testname} PRIVATE PQMPHOTOSPHERE)
endif()

if(WITH_EXTENSIONS_SUPPORT)
    target_compile_definitions(${testname} PRIVATE PQMEXTENSIONS)
    target_link_libraries(${testname} PRIVATE yaml-cpp)
endif()

=== debian/changelog ===
photoqt (5.2+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.3.
  * d/control: add qml6-module-qtlocation qml6-module-qtpositioning to depends.

 -- Alex Myczko <tar@debian.org>  Mon, 23 Feb 2026 20:01:46 +0000

=== debian/control ===
Source: photoqt
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 extra-cmake-modules,
 libexiv2-dev,
 libmagick++-dev,
 libgraphicsmagick1-dev,
 libgraphicsmagick++1-dev,
 libraw-dev,
 libfreeimageplus-dev,
 libdevil-dev,
 libvips-dev,
 libmpv-dev,
 libpoppler-cpp-dev,
 libarchive-dev,
 libpugixml-dev,
 libpoppler-qt6-dev,
 libpoppler-private-dev,
 libzxing-dev,
 qt6-svg-dev,
 python3-pip,
 python3-dev,
 python3-requests,
 python3-pychromecast,
 qt6-base-dev,
 qt6-base-dev-tools,
 qmake6,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-quick3d-dev,
 qt6-quick3d-dev-tools,
 qt6-multimedia-dev,
 qt6-declarative-dev,
 qt6-declarative-dev-tools
Standards-Version: 4.7.3
Homepage: https://photoqt.org/
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/photoqt
Vcs-Git: https://salsa.debian.org/debian-phototools-team/photoqt.git

Package: photoqt
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3-pychromecast,
 qml6-module-qt-labs-platform,
 qml6-module-qtmultimedia,
 qml6-module-qtquick-localstorage,
 qml6-module-qtlocation,
 qml6-module-qtpositioning,
Recommends: kimageformat-plugins
Description: Fast and highly configurable image viewer
 This is a fast and highly configurable image viewer with a simple and nice
 interface.

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/\.ds//
Owner: luspi
Project: photoqt
Repack: yes
Repacksuffix: +ds
